using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using static AnimacjaDzikiego;

public class KolizjeZasoby : MonoBehaviour
{
    [SerializeField] float silaWartosc = 0;
    [SerializeField] GameObject slotBroniPrawy;
    //tablica prefabrykatw broni
    [SerializeField] GameObject[] prafbBroni;

    GameObject bronObracana=null;
    public GameObject BronObracana
    {
        get { return bronObracana; }
        set { bronObracana = value; }
    }

    public void RzucajDzida() 
    { 
        
        //zrob rzucana dzide z prefabrykatu
        GameObject d = Instantiate(prafbBroni[0],
                                   BronObracana.transform.position,
                                   BronObracana.transform.rotation);
        //usun obrocona dzide z reki
        Destroy(BronObracana);
        BronObracana = null;
        d.GetComponent<RuchDzidy>().fRuch = true;
        //ustaw predkoc oszczepu na 12 m/s
        d.GetComponent<Rigidbody>().velocity = d.transform.forward * 12.0f;
        //dla rzucanej dzidy
        //ustaw warstwe na niekolidujc z graczem
        LayerMask maskuj = LayerMask.GetMask("Gracz");
        d.GetComponent<CapsuleCollider>().excludeLayers = maskuj;
    }

    private void KolizjaDzida(ControllerColliderHit hit)
    {
        GameObject dzida=hit.gameObject;
        //usu dzid ze swiata gry
        Destroy(dzida);
        //daj dzide do reki bohatera
        GameObject d = Instantiate(prafbBroni[0],
                                   slotBroniPrawy.transform.position,
                                   slotBroniPrawy.transform.rotation);
        d.transform.SetParent(slotBroniPrawy.transform);
        d.GetComponent<Rigidbody>().useGravity = false;
        d.GetComponent<Rigidbody>().isKinematic = true;
        //dla podniesionej dzidy
        //ustaw warstwe na niekolidujc z graczem
        LayerMask maskuj = LayerMask.GetMask("Gracz");
        d.GetComponent<CapsuleCollider>().excludeLayers = maskuj;
        GetComponent<AnimacjaDzikiego>().UstawGotowoscRzutu();
        BronObracana=d;
    }

    private void OnControllerColliderHit(ControllerColliderHit hit)
    {
        Rigidbody rb=hit.collider.attachedRigidbody;
        if (rb != null)
        {
            if (hit.gameObject.tag == "dzida") 
                    {KolizjaDzida(hit); return; }
            //nie jest to dzida to przesu ciao
            Vector3 silaKierunek =hit.gameObject.transform.position-
                    transform.position;
            //zeruj pion
            silaKierunek.y = 0;
            //wyznacz jednostkowy wektor kierunku wektora
            silaKierunek.Normalize();
            //przekaz sie uderzenia
            rb.AddForceAtPosition(silaKierunek * silaWartosc,
                      transform.position,
                      ForceMode.Impulse);
        }
    }
    // Start is called before the first frame update
    void Start()
    {
        
    }

    // Update is called once per frame
    void Update()
    {
        
    }
}
