using System;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.SceneManagement;

public class Portal : MonoBehaviour
{
    [SerializeField] private String nazwaScenyCelu;
    [SerializeField] private String tagPortaluCelu=null;
    [SerializeField] private bool fGraczJestNaScenie = false;

    //gdy gracz wszedl do portalu
    private void OnTriggerEnter(Collider other)
    {
        if (other.tag != "Player") return;
        Instancja.tagPortal = tagPortaluCelu;
    }
    //gdy gracz jest wewnatrz portalu
    private void OnTriggerStay(Collider other)
    {
        if (other.tag != "Player") return;
        //nie byo teleportacji to sie teleportuj
        if (!Instancja.fTeleportacja)
        {
            Application.LoadLevel(nazwaScenyCelu);
            //zaznacz ze gracz si teleportowa
            Instancja.fTeleportacja = true;
        }
    }
    //gdy gracz zrezygnowa z portalu
    private void OnTriggerExit(Collider other)
    {
        if (other.tag != "Player") return;
        Instancja.tagPortal = null;
        //zaznacz ze gracz si nie teleportowa
        Instancja.fTeleportacja = false;
    }
    // Start is called before the first frame update
    void Start()
    {
        
    }

    // Update is called once per frame
    void FixedUpdate()
    {
        if (!fGraczJestNaScenie)
        {
            //odszukaj obiekt gracza
            GameObject g = GameObject.FindGameObjectWithTag("Player");
            //gracz wszed na scen
            if (g != null)
            {
                GameObject portalCelu=null;
                if(Instancja.tagPortal!=null)portalCelu = GameObject.FindGameObjectWithTag(Instancja.tagPortal);
                //ustaw gracza po przejsciu we wsprzednych portalu
                if (portalCelu != null)
                {
                    g.GetComponent<Transform>().position = 
                           new Vector3(portalCelu.transform.position.x,
                           portalCelu.transform.position.y,
                           portalCelu.transform.position.z);
                }
                fGraczJestNaScenie = true;
            }
        }
    }
}
